# ``twisted`.`internet`.`_sslverify`.`PublicKey``

class documentation

`class PublicKey: (source)`

Known subclasses: `twisted.internet.ssl.KeyPair`

View In Hierarchy

A `PublicKey` is a representation of the public part of a key pair.

You can't do a whole lot with it aside from comparing it to other `PublicKey` objects.

Note
If constructing a `PublicKey` manually, be sure to pass only a `OpenSSL.crypto.PKey` that does not contain a private key!

Method | `__init__` |
Method | `__repr__` | Undocumented
Method | `inspect` | Undocumented
Method | `keyHash` | Compute a hash of the underlying PKey object.
Method | `matches` | Does this `PublicKey` contain the same value as another `PublicKey`?
Instance Variable | `original` | The original private key.

def __init__(self, osslpkey): (source)

Parameters
osslpkey:`OpenSSL.crypto.PKey` | The underlying pyOpenSSL key object.

def __repr__(self): (source)

Undocumented

Returns
`str` | Undocumented

def inspect(self): (source)
overridden in `twisted.internet.ssl.KeyPair`

Undocumented

def keyHash(self): (source)

Compute a hash of the underlying PKey object.

The purpose of this method is to allow you to determine if two certificates share the same public key; it is not really useful for anything else.

In versions of Twisted prior to 15.0, `keyHash` used a technique involving certificate requests for computing the hash that was not stable in the face of changes to the underlying OpenSSL library.

Returns
native `str` | Return a 32-character hexadecimal string uniquely identifying this public key, for this version of Twisted.

def matches(self, otherKey): (source)
Does this `PublicKey` contain the same value as another `PublicKey`?

Parameters
otherKey:`PublicKey` | The key to compare `self` to.
Returns
`bool` | `True` if these keys match, `False` if not.

original = (source)
The original private key.